<template>
  <q-layout view="lHh Lpr lFf">
    <q-header elevated>
      <q-toolbar class="bg-primary">
        <q-toolbar-title>
          Pointzi - Live mode
        </q-toolbar-title>

        <div v-if="device.appVersionName !== ''">{{ device.appName }} - {{ device.appVersionName }}</div>
        <div v-else>Not connected</div>
      </q-toolbar>
    </q-header>

    <q-page-container>
      <router-view/>
    </q-page-container>
  </q-layout>
</template>

<script>

export default {
  name: 'MainLayout',
  data () {
    return {
      leftDrawerOpen: false
    }
  },
  computed: {
    device () {
      return this.$store.state.payload.device
    }
  }
}
</script>
